## QmiClientLoc

QmiClientLoc — QmiClient for the LOC service.

## Signals

void | delete-assistance-data | Run Last
void | engine-state | Run Last
void | fix-recurrence-type | Run Last
void | get-operation-mode | Run Last
void | get-predicted-orbits-data-source | Run Last
void | get-server | Run Last
void | gnss-sv-info | Run Last
void | inject-predicted-orbits-data | Run Last
void | inject-xtra-data | Run Last
void | nmea | Run Last
void | position-report | Run Last
void | set-operation-mode | Run Last
void | set-server | Run Last

## Types and Values

struct | QmiClientLoc

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientLoc

## Description

QmiClient which handles operations in the LOC service.

## Functions

## Types and Values

### struct QmiClientLoc

    struct QmiClientLoc;

The QmiClientLoc structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“delete-assistance-data”` signal

    void
    user_function (QmiClientLoc                               *object,
                   QmiIndicationLocDeleteAssistanceDataOutput *output,
                   gpointer                                    user_data)

The ::delete-assistance-data signal gets emitted when a 'Delete Assistance Data' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocDeleteAssistanceDataOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“engine-state”` signal

    void
    user_function (QmiClientLoc                      *object,
                   QmiIndicationLocEngineStateOutput *output,
                   gpointer                           user_data)

The ::engine-state signal gets emitted when a 'Engine State' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocEngineStateOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“fix-recurrence-type”` signal

    void
    user_function (QmiClientLoc                            *object,
                   QmiIndicationLocFixRecurrenceTypeOutput *output,
                   gpointer                                 user_data)

The ::fix-recurrence-type signal gets emitted when a 'Fix Recurrence Type' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocFixRecurrenceTypeOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“get-operation-mode”` signal

    void
    user_function (QmiClientLoc                           *object,
                   QmiIndicationLocGetOperationModeOutput *output,
                   gpointer                                user_data)

The ::get-operation-mode signal gets emitted when a 'Get Operation Mode' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocGetOperationModeOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“get-predicted-orbits-data-source”` signal

    void
    user_function (QmiClientLoc                                       *object,
                   QmiIndicationLocGetPredictedOrbitsDataSourceOutput *output,
                   gpointer                                            user_data)

The ::get-predicted-orbits-data-source signal gets emitted when a 'Get Predicted Orbits Data Source' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocGetPredictedOrbitsDataSourceOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“get-server”` signal

    void
    user_function (QmiClientLoc                    *object,
                   QmiIndicationLocGetServerOutput *output,
                   gpointer                         user_data)

The ::get-server signal gets emitted when a 'Get Server' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocGetServerOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“gnss-sv-info”` signal

    void
    user_function (QmiClientLoc                     *object,
                   QmiIndicationLocGnssSvInfoOutput *output,
                   gpointer                          user_data)

The ::gnss-sv-info signal gets emitted when a 'GNSS Sv Info' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocGnssSvInfoOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“inject-predicted-orbits-data”` signal

    void
    user_function (QmiClientLoc                                    *object,
                   QmiIndicationLocInjectPredictedOrbitsDataOutput *output,
                   gpointer                                         user_data)

The ::inject-predicted-orbits-data signal gets emitted when a 'Inject Predicted Orbits Data' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocInjectPredictedOrbitsDataOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“inject-xtra-data”` signal

    void
    user_function (QmiClientLoc                         *object,
                   QmiIndicationLocInjectXtraDataOutput *output,
                   gpointer                              user_data)

The ::inject-xtra-data signal gets emitted when a 'Inject Xtra Data' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocInjectXtraDataOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“nmea”` signal

    void
    user_function (QmiClientLoc               *object,
                   QmiIndicationLocNmeaOutput *output,
                   gpointer                    user_data)

The ::nmea signal gets emitted when a 'NMEA' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocNmeaOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“position-report”` signal

    void
    user_function (QmiClientLoc                         *object,
                   QmiIndicationLocPositionReportOutput *output,
                   gpointer                              user_data)

The ::position-report signal gets emitted when a 'Position Report' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocPositionReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“set-operation-mode”` signal

    void
    user_function (QmiClientLoc                           *object,
                   QmiIndicationLocSetOperationModeOutput *output,
                   gpointer                                user_data)

The ::set-operation-mode signal gets emitted when a 'Set Operation Mode' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocSetOperationModeOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“set-server”` signal

    void
    user_function (QmiClientLoc                    *object,
                   QmiIndicationLocSetServerOutput *output,
                   gpointer                         user_data)

The ::set-server signal gets emitted when a 'Set Server' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocSetServerOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22